## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Summary:       The NetBSD make(1) tool
Name:          bmake
Version:       20230711
Release:       %autorelease
License:       BSD-3-Clause AND BSD-4-Clause-UC AND BSD-2-Clause AND BSD-2-Clause-NetBSD
URL:           https://ftp.netbsd.org/pub/NetBSD/misc/sjg/
Source0:       %{url}/bmake-%{version}.tar.gz
Source1:       %{url}/bmake-%{version}.tar.gz.asc
Source2:       https://www.crufty.net/ftp/pub/sjg/Crufty.pub.asc
Requires:      mk-files

#Patch1:       

BuildRequires: gcc
BuildRequires: sed
BuildRequires: util-linux
# Required by tests
BuildRequires: tcsh ksh
%if 0%{?fedora}
# source verification
BuildRequires: gnupg2
%endif

%description
bmake, the NetBSD make tool, is a program designed to simplify the
maintenance of other programs.  The input of bmake is a list of specifications
indicating the files upon which the targets (programs and other files) depend.
bmake then detects which targets are out of date based on their dependencies
and triggers the necessary commands to bring them up to date when that happens.

bmake is similar to GNU make, even though the syntax for the advanced features
supported in Makefiles is very different.

%package -n mk-files
Summary:   Support files for bmake, the NetBSD make(1) tool
BuildArch: noarch

%description -n mk-files
The mk-files package provides some bmake macros derived from the NetBSD
bsd.*.mk macros.  These macros allow the creation of simple Makefiles to
build all kinds of targets, including, for example, C/C++ programs and/or
shared libraries.

%prep
%if 0%{?fedora}
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%endif
%autosetup -n %{name} -p1
sed -i.python -e '1 s|^#!/usr/bin/env python|#!/usr/bin/python3|' mk/meta2deps.py

%build
%configure --with-default-sys-path=%{_datadir}/mk
sh ./make-bootstrap.sh

%install
./bmake -m mk install DESTDIR="%{buildroot}" INSTALL='install -p' STRIP_FLAG=''
chmod a-x %{buildroot}%{_datadir}/mk/mkopt.sh

%files
%doc ChangeLog README
%license LICENSE
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}*

%files -n mk-files
%license LICENSE
%doc mk/README
%{_datadir}/mk

%changelog
* Wed Jul 19 2023 Petr Menšík <pemensik@redhat.com> - 20230711-2
- Convert License tag to SPDX format

* Wed Jul 19 2023 Petr Menšík <pemensik@redhat.com> - 20230711-1
- Update to 20230711

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20230101-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20230101-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 17 2023 Petr Menšík <pemensik@redhat.com> - 20230101-1
- Update to 20230101 (#2160889)

* Tue Oct 18 2022 Petr Menšík <pemensik@redhat.com> - 20220928-2
- Upload sources for bmake 20220928 (#2127648)

* Tue Oct 18 2022 Petr Menšík <pemensik@redhat.com> - 20220928-1
- Update to bmake 20220928 (#2127648)

* Fri Sep 09 2022 Petr Menšík <pemensik@redhat.com> - 20220901-6
- Actually update the sources

* Fri Sep 09 2022 Petr Menšík <pemensik@redhat.com> - 20220901-5
- Fix problems with stripping install

* Fri Sep 09 2022 Petr Menšík <pemensik@redhat.com> - 20220901-4
- Stop using egrep in bmake

* Fri Sep 09 2022 Petr Menšík <pemensik@redhat.com> - 20220901-3
- Install corrent manual page on Linux (#2125286)

* Fri Sep 09 2022 Petr Menšík <pemensik@redhat.com> - 20220901-1
- Update to 20220901

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20220612-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 01 2022 Petr Menšík <pemensik@redhat.com> - 20220612-1
- Update to 20220612 (#2050475)

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20220116-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Jan 17 2022 Petr Menšík <pemensik@redhat.com> - 20220116-1
- Update to 20220116 (#2041114)

* Wed Jan 12 2022 Petr Menšík <pemensik@redhat.com> - 20211221-1
- Update to 20211221

* Wed Aug 11 2021 Petr Menšík <pemensik@redhat.com> - 20210803-1
- Update to 20210803

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20210110-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20210110-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 15 2021 Petr Menšík <pemensik@redhat.com> - 20210110-1
- Update to 20210110 (#1895621)

* Tue Oct 20 2020 Petr Menšík <pemensik@redhat.com> - 20201010-1
- Update to 20201010 (#1876115)

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20200710-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20200710-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 16 2020 Petr Menšík <pemensik@redhat.com> - 20200710-1
- Update to 20200710

* Thu Jul 09 2020 Petr Menšík <pemensik@redhat.com> - 20200704-1
- Update to 20200704 (#1852609)
- Include license (#1845892)

* Wed Jun 10 2020 Petr Menšík <pemensik@redhat.com> - 20200524-3
- Make mk-files mandatory again

* Wed Jun 10 2020 Petr Menšík <pemensik@redhat.com> - 20200524-2
- Create mk-files subpackage from bmake sources

* Mon May 25 2020 Petr Menšík <pemensik@redhat.com> - 20200524-1
- Update to version 20200524

* Fri Feb 28 2020 Luis Bazan <lbazan@fedoraproject.org> - 20200212-1
- New upstream version

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20180512-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20180512-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20180512-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20180512-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue May 29 2018 Luis Bazan <lbazan@fedoraproject.ort> - 20180512-1
- New Upstream version

* Wed Apr 25 2018 Luis Bazan <lbazan@fedoraproject.org> - 20180222-1
- New upstream version

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20171207-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Luis Bazan <lbazan@fedoraproject.org> - 20171207-1
- New Upstream version

* Wed Nov 22 2017 Luis Bazan <lbazan@fedoraproject.org> - 20171118-1
- new upstream version

* Sun Nov 05 2017 Michel Alexandre Salim <salimma@fedoraproject.org> - 20171028-1
- New upstream version

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20150910-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20150910-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20150910-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 20150910-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Oct 03 2015 Luis Bazan <lbazan@fedoraproject.org> - 20150910-1
- new upstream version

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20141111-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Dec 15 2014 Luis Bazan <lbazan@fedoraproject.org> - 20141111-1
- New upstream version

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20140620-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jul 2 2014 Luis Bazan <lbazan@fedoraproject.org> - 20140620-1
- new upstream version

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20140214-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Feb 18 2014 Luis Bazan <lbazan@fedoraproject.org> - 20140214-1
- new upstream version

* Wed Jan 15 2014 Luis Bazan <lbazan@fedoraproject.org> - 20140101-1
- New Upstream version

* Tue Oct 29 2013 Luis Bazan <lbazan@fedoraproject.org> - 20131001-1
- New Upstream version

* Wed Aug 14 2013 Luis Bazan <lbazan@fedoraproject.org> - 20130730-1
- New Upstream Version

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20130330-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 16 2013 Luis Bazan <lbazan@fedoraproject.org> - 20130330-1
- New Upstream Version

* Wed Mar 06 2013 Luis Bazan <lbazan@fedoraproject.org> - 20130123-1
- New Upstream Version

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20120831-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Sep 05 2012 Luis Bazan <lbazan@fedoraproject.org> - 20120831-1
- New Upstream Version

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20120604-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 06 2012 Luis Bazan <bazanluis20@gmail.com> 20120604-2
- Changing destination of the sources

* Tue Jun 05 2012 Luis Bazan <bazanluis20@gmail.com> 20120604-1
- New Upstream Version 20120604-1.

* Mon Feb 06 2012 Julio Merino <jmmv@NetBSD.org> 20111111-1
- New upstream version.

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090222-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090222-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090222-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 15 2009 Stepan Kasal <skasal@redhat.com> - 20090222-1
- new upstream version

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080515-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul 02 2008 Julio M. Merino Vidal <jmmv@NetBSD.org> - 20080515-1
- Initial release for Fedora.

